$cardbgr: #111;
$max-width: 500px;

:host {
  font-family: Roboto, 'Helvetica Neue', sans-serif;
}

@keyframes fadein {
  0% {
    opacity: 0;
  }
  100% {
    opacity: 0.9;
  }
}

.single-annotation-card {
  z-index: 150;
  position: absolute;
  animation: fadein 280ms;
  opacity: 0.9 !important;
  border-radius: 5px !important;
  transition: all 0s ease-in-out, opacity 280ms;
}

.single-annotation-card.resizable .mat-card-content {
  overflow-y: scroll;
  height: 100% !important;
}

.mat-form-field {
  width: 100% !important;
  font-weight: lighter;
  font-size: 1.2rem;
}

#closeButton {
  position: absolute;
  top: 0;
  right: 0;
  transform: translate(40%, -40%);
  opacity: 0;
  transition: opacity 280ms;
}

.mat-card {
  background-color: $cardbgr;
  border-radius: 0.25rem;
  color: #fff;
  word-wrap: break-word;

  // This is to prevent annotations with
  // large descriptions from taking up
  // the whole viewport
  max-width: 45%;

  &:hover #closeButton {
    opacity: 1;
  }
}

.unset-width {
  max-width: unset !important;
}

.mat-card .mat-input-element {
  color: #fff;
}

.bigger-font {
  line-height: 1.5rem;
  font-size: 1.5rem;
}

.mat-card-title {
  font-weight: lighter;
  margin: 0;

  display: flex;
  justify-content: center;
}

.mat-card-content {
  overflow-y: auto;
  margin-bottom: 0;
  font-size: 1rem;
  font-weight: lighter;
  line-height: 1.3rem;
  max-height: 60vh;
}

.mat-card-actions {
  margin: 0;
  padding: 0;

  display: flex;
  justify-content: center;
}

#annotation-content {
  // white-space: pre-wrap;
}

.item-results {
  margin-top: 2em;
  display: flex;
  flex-direction: column;
  gap: 0.5em;
  background-color: transparent;
  border-radius: 4px !important;
  border: 1px solid #00afe7;
}

.item-result-entry {
  // margin-bottom: 0;
  margin: 0.75rem 1rem;
}

a {
  color: #00afe7;
}

.item-result-entry {
  justify-content: inherit;
}

.icon-title {
  display: flex;
  align-items: center;
  gap: 0.5em;
}

.result-img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.imageWithIcon {
  position: relative;
  display: inline-block;
}
.imageWithIcon img {
  width: 100%;
}


.entity-type {
  color: white;
  display: flex;
  justify-content: flex-end;
  position: absolute;
  z-index: 2;
  right: 0.5rem;
  bottom: 0.5rem;
  font-size: 1rem;
  padding: 0.2rem 0.1rem 0.2rem 0.2rem;
  background: rgba(110, 110, 110, 0.2);
  border-radius: 0.2rem;

  mat-icon {
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 1.2rem;
  }

}
